﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("Hospital")]
    public class Hospital : BaseFullAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        [ForeignKey("SiteId")]
        public Site Site { get; set; }

        [JsonIgnore]
        public List<Doctor> DoctorList { get; set; }
        #endregion


        public string HospitalName { get; set; } = string.Empty;
        public string UniversityAffiliated { get; set; } = string.Empty;
        public string Country { get; set; } = string.Empty;
        public string Province { get; set; } = string.Empty;
        public string City { get; set; } = string.Empty;
        
        public string HospitalNameCN { get; set; } = string.Empty;
        public string UniversityAffiliatedCN { get; set; } = string.Empty;
        public string CountryCN { get; set; } = string.Empty;
        public string ProvinceCN { get; set; } = string.Empty;
        public string CityCN { get; set; } = string.Empty;


        /// <summary>
        /// 中心Id
        /// </summary>
        public Guid? SiteId { get; set; } = Guid.Empty;


      

    }
}
