

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
	///<summary>
	/// 阅片计划
	///</summary>
	[Table("ReadingPeriodPlan")]
	public class ReadingPeriodPlan : BaseFullDeleteAuditEntity
	{
        #region 导航属性
        // <summary>
        /// 访视
        /// </summary>
        [ForeignKey("SubjectVisitId")]
        [JsonIgnore]
        public SubjectVisit SubjectVisit { get; set; }

        /// <summary>
        /// 阅片期配置
        /// </summary>
        [ForeignKey("ReadingPeriodSetId")]
        [JsonIgnore]
        public ReadingPeriodSet ReadingPeriodSet { get; set; }
        #endregion
        /// <summary>
        /// 阅片期配置ID
        /// </summary>
        public Guid ReadingPeriodSetId { get; set; }

		/// <summary>
		/// 访视
		/// </summary>
	    public Guid SubjectVisitId { get; set; }

		



	}



}
